#ifndef __DEFS_H
#define __DEFS_H

#define CLOCK           20000000

#define TRUE            1
#define FALSE           0
#define OFF             0
#define ON              1
#define INPUT           1
#define OUTPUT          0

#define BUTTON_UP       RB0 
#define BUTTON_DOWN     RB1
#define STATUS_LED      RB3
#define RELAY           RB4
#define BUTTON_SELECT   RB7

#define HI_NIBBLE(b) (((b) >> 4) & 0x0f)
#define LO_NIBBLE(b) ((b) & 0x0f)

#define MAKEWORD(a, b) ((short) (((char) (a)) | ((short) ((char) (b))) << 8))
//#define MAKEWORD(a, b) (unsigned long)( (((char)(a)) & 0x00ff) | (((char)(b) << 8) & 0xff00) )
#define HIBYTE(w) ((char) (*((char *)&w+1)))
#define LOBYTE(w) ((char) (w)) 

// split number for PWM
#define DC_HI(dc) (char)(dc >> 2)
#define DC_LO(dc) (char)(dc & 0b11)

// true if bit var[pos] is set
#define BIT_IS_SET(var,pos) ((var) & (1<<(pos)))

#endif
